AIMP 2.6x Manual

Introduction
Introduction
    In this reference material we have tried to highlight the functionality of the program, which raised most questions from users when using the latest version of the program.
"Playlist" category
    Here you can find description of main functions to work with files in playlist, an also playlist content and playlist window displaying alternatives.
“General" category
    Contains small topics about using some functions of the player
“Components" category
    Contains a description of the main windows and components
“Frequently Asked Questions" category
    Here is a list of frequently asked questions and answers.

Help writers:
  • Artem Izmaylov
  • Sergei "Viper" Zozulia
  • Sergei Kapustin aka DJ Peres
  • Jury Dimitrenko aka Yurik

Help translation for English language:
  • Andrew Chaiko aka Tutanhomon

Last update: 26.07.2010, actual version: AIMP v2.61 build 570


AIMP 2.6x License

End-User License Agreement ("EULA") for AIMP

Please read the conditions of this EULA carefully before start to use the Software Product which it's applied to.

Installation, as well as usage the Software Product "AIMP" confirmed that you agree with this EULA.

If you do not agree to the terms of this EULA, You mustn't install or use this Software Product.

AIMP (Software Product) is Freeware software and provided "AS IS".

1. Installation and Use

    1.1 You may to install and use AIMP both your home PC and organizations of any form of ownership, including government and municipal offices.

    1.2 You may to distribute this software in the form of the original installation distribution file(s) and only for free.

    1.3 You mustn't develop and distribute your own Add-on(s) for this Software Product with you own license. Also it means that you give to the Right holder permission to free publication, distribution and placement your Add-on(s) and inclusion one to the original installation distribution file.
2. Limitations
    2.1 You mustn't decompile, disassemble or modify program or its components.

    2.2 You mustn't distribute this Software Product for material remuneration (without Right holder’s permission)

    2.3 You mustn't distribute non-original installation distribution file(s) (without Right holder’s permission)

    2.4 It's prohibited to delete copyright or any other information about authors or right holders of the Software Product.

    2.5 It's prohibited to let on lease or to rent this Software Product to someone.

    2.6 For infringement of the intellectual rights to the Software Product the Infringer bears civil, administrative or criminal liability according to the laws.
3. Limitation of Liability
    3.1 You accept that this Software Product may contain bugs, and so, that you must make backup for your files by yourself.

    3.2 Right holder doesn't give any guarantees of Software Product's operability on your computer.

    3.3 Right holder doesn't give any guarantees of Software Product's operability if You do not update it to actual version.

    3.4 As this software is distributed like "AS IS" software, you must consider that you use it on yours own hook. Right holder doesn't bear responsibility for any losses or damages (including losses related to commercial gain, interruption of commercial activity, information loss or another one), emergent in connection with usage or impossibility to use this Software Product.
4. Copyright
    4.1 All title and intellectual property rights in and to the "AIMP" are owned by its author, Artem Izmaylov.

    4.2 All title and intellectual property rights in and to the third-party software products or components in this installation distribution file(s) are owned by their right holders.

    4.3 Third-party software products or components in this installation distribution file(s) are introduced by approbation of their right holders (or by observance of their license agreements)

    4.4 This Software Product is protected by laws of Russian Federation and international copyright treaties.
5. Technical Support
    The Support is lent only if you have an actual and original build of the Software Product.

    You can get it via:
    • Official Forum
    • Special feedback form on the official site
    • E-Mail
6. Contacts
    AIMP, © 2006-2010, Artem Izmaylov
    Web: http://www.aimp.ru
    E-Mail: support@aimp.ru
7. Third Party Software
    BASS Audio Library
    © 1999-2009 Un4seen Developments Ltd.
    All rights reserved. (http://www.un4seen.com)

    BASSCD (Addon for BASS Library),
    © 2003-2009 Un4seen Developments Ltd.
    All rights reserved. (http://www.un4seen.com)

    BASSFLAC (Addon for BASS Library),
    © 2004-2009 Un4seen Developments Ltd.
    All rights reserved. (http://www.un4seen.com)
    Portions FLAC © 2001-2007 Josh Coalson (http://flac.sourceforge.net/)

    BASSMIDI (Addon for BASS Library),
    © 2006-2009 Un4seen Developments Ltd.
    All rights reserved. (http://www.un4seen.com)

    BASS_FX (Addon for BASS Library),
    © 2002-2009 JOBnik! [Arthur Aminov, ISRAEL].
    All rights reserved. (http://www.jobnik.org)

    BASSWMA (Addon for BASS Library),
    © 2002-2009 Un4seen Developments Ltd.
    All rights reserved. (http://www.un4seen.com)

    BASSenc (Addon for BASS Library),
    © 2003-2009 Un4seen Developments Ltd.
    All rights reserved. (http://www.un4seen.com)

    BASS_AAC (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de)
    Portions © 2006, M. Bakker, Nero AG.

    BASS_AC3 (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de)
    Portions © 2006 Dolby Laboratories, Inc.

    BASS_ALAC (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de). All rights reserved.
    Portions © 2006, David Hammerton. (Apple Lossless)

    BASS_APE (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de)
    Portions © 2000-2006, Matthew T. Ashland. (http://www.monkeysaudio.com)

    BASS_MPC (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de)
    Portions © 2006, The Musepack Development Team. (http://www.musepack.net)

    BASS_OFR (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de)
    Portions © 1996-2006, Florin Ghido. (http://www.losslessaudio.org)

    BASS_SPX (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de)
    Portions © 2002-2006, Jean-Marc Valin, Xiph.Org Foundation (http://www.speex.org)

    BASS_TTA (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de)
    Portions © 1999-2006 Alexander Djourik. (http://www.trueaudio.com)

    BASS_WV (Addon for BASS Library),
    © 2002-2006, MaresWEB (http://www.maresweb.de).
    Portions © 1998-2006, Conifer Software. (http://wavpack.com/)

    Lame MP3 Encoder (http://lame.sourceforge.net)
    © 1999, 2000, 2001 by Mark Taylor
    © 1998 by Michael Cheng
    © 1995, 1996, 1997 by Michael Hipp: mpglib

    SQLite3
    (www.sqlite.org)


Playlist
Playlist description
  • Main menu
  • Bookmarks
  • Quick playlist settings
  • Playlist menus
  • Playlist content view
  • Playlist window view
  • Playing queue
  • List of playlists
  • Drag and Drop


Bookmarks
Quick bookmarks access

    Bookmarks allow remember not only composition you like, but the position where you have finished listening – useful function when listening audio books.

    You can add bookmarks via hotkeys, via bookmarks quick access menu (see pic. above), via playlist main menu.

Bookmarks manager

    You can edit bookmarks, therefore call bookmarks manager, by clicking “edit” in playlist main menu or in bookmarks quick access menu ( see pic. above).

    With bookmarks manager you can although add bookmarks to files and folders – just click “add bookmark item”, and choose item you need in context menu – file / folder.

    By default, bookmarks are shown with two lines – bookmark name and path to the object – file or folder. If you need you can turn off showing second line, just enable “Hide second line with information” option..


Drag and Drop
When dragging files / folders on playlist the menu [see pic.], will appear, that allows you to adjust style of adding files to playlist.

You can turn off showing this window by choosing a way of adding files to playlist and setting flag “Do not ask”.

Turn On / Off / adjust parameters of this window you can in options.

Drag and Drop from playlist

    You can drag needed files directly from playlist to any other application. To do that:
    1. Select needed files in playlist
    2. Press and hold left mouse button over one of chosen tracks
    3. Drag mouse pointer to the application window, where you want the files to be dropped
    4. Release left mouse button

    Tip 1. The same way you can drag files from one playlist to another.
    Tip 2. When dragging files with Alt, button pressed files will be cutted from playlist, in case of successful drag’n’drop operation.
    Tip 3. Drag’n’Drop operation can be interrupted by pressing ESC-key.

When Drag’n’Drop files / folders on the playlist tab the files will be added to the end of playlist.

When Drag’n’Drop files / folders over free space of tabs list (shown on pic.) file is added to the new playlist with the same name as the folder where those files are located (or the same name as the folder you have dropped).


Playlist content view

Playlist items view

    The dependency of playlist settings and how it looks:

    Hide second line with information

      When this option is enabled, track’s rating is although becomes unavailable.

    Show information about selected files

      The information about selected files will be shown on information panel:

    Playlist view and behaviour adjustments are situated: - [Settings \ Playlist]

Split playlist by categories

    When clicking right mouse button on playlist category title playlist’s main menu is called, where you can find additional item – “category”:

    We must admit that there can be several categories with the same title, bt actually it’s one category, splitted to several parts. Category can be splitted in very simple way – by moving a song from one category to the middle of another.

    New fiels search

      Ability to search new files in a folder, where the first file after category title, is situated.

      Search is made in folders and subfolders [optional, can be adjusted in “Search new files” window].

      New files are the files that are not in active playlist.

    Category deleting from playlist

      Deleting files of this category. Category is deleted totally, including all it’s parts.

    Select all parts

      Selecting all files of chosen category.

    On/Off

      Turns on/off auto playback of the files in chosen category.

See also:

  • Playlist view


List of Playlists

In the top of playlist there are tabs, allowing fast switching between different playlists.

If number of playlists is too big, not all tabs are visible. In that case buttons for tabs scrolling (surrounded by oval on picture) become active.

Tip 1: You can scroll tabs list by mouse wheel when cursor is over them.
Tip 2: You can scroll tabs list by mouse wheel with Ctrl button pressed, when cursor is over the tabs.

Faster way to access required playlist: click playlist tabs with right mouse button, in “playlist” menu select required playlist (see picture)

You should pay attention to menu item “…” – it is for sorting tabs. Of course you can sort them using Drag’n’Drop technology, but it’s impossible when number of playlists is too big.

Playlists closing

As you can see at previous picture playlists can be closed by Ctrl+F4 combination, or via context menu.
Besides, there are faster ways:

  • Middle mouse button click on the tab
  • Left mouse button double-click
    [Optional, enabled by default]
We must admit that when closing playlist source file will be deleted, in case it is saved in profile directory.

See also:
  • Options \ Playlist \ “Always keep playlists in user’s profile directory”
  • Options \ Playlist \ “Close playlist on left mouse double-click”
  • Sorting playlists with “drag’n’drop” technology


Main playlist menu

Playlist main menu is called by pressing right mouse button on playlist body, as you can see on picture:

Playback

    Play file, highlighted in playlist, fast commang call – pressing Enter key.

Add

    This menu item allows you to add files / folder / tracks from other playlists / radio stations to selected playlist.

Queue

    Includes queue managing commands – Add to queue / delete from queue / clear queue / queue manager

Bookmarks

    Add / edit the Bookmarks.

Information about selected file

    This function launches Quick Tag Editor, where you can view file(s) information – title, artist, genre, album title, cover and year – and although edit it.

Play after current

    This function moves selected file after currently playing one.
    [independent from active playlist]

Rating

    Viewing and editing rating of selected items.
    This function is accessible if “Audio Library” plugin is installed.

Send to

    Allows copying chosen files to flash-device / chosen folder..
    If AIMP Utils are installed you can although send files to Extended Tang Editor / Audio Converter.

Sent to other playlist

    Allows copying chosen files to other playlist - exists or new

Deleting

    Main options of deleting files from playlist (see although Extended Menu of deletiong files from playlist)

On / Off

    Turn on / off automatic playback of chosen tracks.
    Current track status can be checked by the indicator, located on the left side of track’s number in playlist. If automatic playback is on, indicator is "highlighted".

See also:
  • Quick tag editor, viewing and editing information about files
  • Queue manger
  • Expended managing of files in playlist
  • Bookmarks managing


Playlist menus

1. Add files menu

    You can add to chosen playlist files / folder / files from another playlist / radiostations. If "AIMP2: Online Radio" plugin connected, you can see "Online radio browser" in this menu.

2. Deleting menu

3. “Misc” menu

    "Show current" - instant jump to playing file.
    "Rescan" - re-read tags from all files in active playlist.
    "Save tracklist" - allows saving tracklist in txt / html format.
    "Select all / Select none" - selection managing in active playlist

4. Sorting menu

    Allows sorting files in active playlist by one of the fields, for sorting by several fields you have to create own template

5. Advanced search

    Advanced search allows searching by all playlists by fields you have chosen.

6-7. Quick search

    Search by all fields in active playlist. Button #7 – continue search

8. 8.Playlists navigation

    Playlists navigation – next / previous. Playlists are activated immediately.
9. Active playlist management menu
    Create new playlist / Clear playlist / Load and save active playlist / close playlist.
    "Open folder" - loads chosen folder to new playlist, name of which is equal to the name of opened folder.

See also:
  • Advanced search in playlistst
  • Creating own playlist sorting template
  • Online radio browser


Playlist Window View

Warning! This is unavailable for monolith (all-in-one) skins!

You can make playlist as a separate window or attach playlist to main window.

To do that:

  • Press and hold left mouse button over the tabs list (in any free space in playlist window)
  • Drag playlist window away from main window (if we want to detach playlist) or over main window (if we want to attach playlist)
  • Release left mouse button

Playlist can be as desktop toolbar, so:
  • Press and hold left mouse button over the list of the tabs (any free space of playlist window)
  • Drag window to screen edge
  • As soon as cursor reaches the edge, playlist frame will be stretched to screen height
  • Release left mouse button – playlist is now attached to screen edge

When program becomes inactive, playlist will hide.
To unhide playlist it’s enough to move mouse pointer to screen edge - where playlist is attached, the marker appears, symbolizing possibility of showing playlist. Clicking this icon shows playlist.

Note 1: When you move files to the playlist using Drag and Drop it is not necessary to unhide playlist - just drop the files on the marker, and they will be added to the end of the active playlist.

Note 2: If you hold your cursor over the marker when you move the files to the playlist using Drag and Drop - playlist automatically appears from outside the screen.

See also:

  • Playlist items view


Playing queue

There is drop-down menu Item "Queue" in playlist main menu, where playback queue controls are located.

We should admit that part one for all playlists, opened in the player, so, you can add files to queue from different playlists.

When you add a file to queue a number in square brackets appears, indicating the position of the file in the queue. When the file begins to play from queue (is not started manually), its position resets - the file is deleted from the queue.

To control the queue, you can use the queue manager, which is called either from the context menu [highlighted in the picture], or by pressing hotkeys - Ctrl+Q.

Note 1: “*” symbol, showing in playlist new the file number indicates that the queue is currently suspended.

See also:
  • Playlist Main Menu
  • Queue Manager


Quick playlist settings

First three items of quick settngs menu afor action that will be executed on end of current playlist playing:

  • Jump to next playlist
  • Repeat playlist
  • Suspend

"Don’t repeat playlist containing one file" - if playlist contains only one file and action “repeat playlist” is enabled, so on the end of file playback, repeat won’t work – player will proceed to suspend mode.

"Use crossfading" - whether next and previous tracks mixing will occur.

"Automatically jump to next file" - this option is for quick turning on/off manual playback management in playlists.

See also:
  • Crossfading setup


Common

Common

  • Capture Internet-Radio
  • Cover Arts
  • Crossfading between tracks
  • Managing player via command line
  • Minimize application behavior
  • Pause between tracks
  • Playing Settings
  • Settings location
  • Templates


Capture Internet-Radio
AIMP gives you ability to capture currently playing internet-radio data.

To capture internet-radio data:
    1. Add link to audio stream via "Url / Radio" in "Open files menu" or via “Online radio browser” [if this plugin is installed].

    2. Double-click by added playlist item to launch internet-radio playback

    3. 1.Find "Radio Cap" button on the main window. It activates and stops audio stream capturing.

    When radio capturing is on, the button flashes.

Tip 1. By default recorded files are stored in My documents folder in WAV format – with the same quality as input stream

Tip 2. You can adjust recording format, store folder and file names’ template – Settings \ Player \ Streaming

See also:
  • Add files menu
  • Online radio browser


Managing player via command line
Usage
    AIMP2.exe <command> <parameter 1> <parameter 2> ...

    Tip 1. Some commands don’t have parameters
    Tip 2. arameter should be enclosed in double quotes
List of supported commands
  • /DEBUG -turns the program in debug mode, the functionality associated with the integration of players in the system is switched off.
    [With this key you can run multiple copies of the program]
    [Input parameters are not used]

  • /ADD_PLAY - Add objects to a playlist and start playing.
    [“object” is a playlist, folder or file]
    [Input parameters - the paths to objects]

  • /BOOKMARK - Add files and / or folders to your bookmarks.
    [Input parameters - path to the files and / or folders]

  • /DIR - Add folder(s) to the playlist..
    [Whether playing of added the files starts, depends on the player settings]
    [Input parameters - path to folder]

  • /FILE - Add file(s) to the playlist.
    [Whether playing of added the files starts, depends on the player settings]
    [Input parameters - path to file]

  • /INSERT - Add objects to the playlist.
    [Whether playing of added the files starts, depends on the player settings]
    [“object” is a playlist, folder or file]
    [Input parameters - the path to objects]

  • /RESTORE - Brint player to top
    [Input parameters are not used]

  • /SKIN - Install skins to AIMP. After installation, opens the Preferences window on the choice of skin.
    [Input parameters - the path to cover]

  • /PLS - Opens playlists in tabs.
    [Whether playing of playlist starts, depends on the player settings]
    [Input parameters - path to the playlist]

  • /CDA - Creates a new playlist with a list of files from a specified media and starts it’s playback.
    [Input parameter - [!] only one - drive letter]

  • /PLAY - Start playing
    [Input parameters are not used]

  • /PAUSE - Pause playback
    [Input parameters are not used]

  • /STOP - Stop playback
    [Input parameters are not used]

  • /NEXT - Next file
    [Input parameters are not used]

  • /PREV - Previous file
    [Input parameters are not used]

  • /MUTE - ВMute / Unmute
    [Input parameters are not used]

  • /VOLUP - increase volume
    [The step of increasing volume is set in settings - Settings \ Controls]
    [Input parameters are not used]

  • /VOLDWN - reduced volume
    [The step of reducing volume is set in settings - Settings \ Controls]
    [Input parameters are not used]


Album Cover displaying

Album Cover displaying

    AIMP provides the ability to view album covers.

    You can see the cover, attached to the file / album in the "file information", “quick tag editor” ” and in the main window of the program [depends on the skin].

Algorithm of covers search

  • Finding cover in the tag file
  • Search for the cover of the folder where the file
    • Search for images of the same name as the file
    • Search for images with “folder” in the name
    • Search for images with “front” in the name
    • Search for images with “cover” in the name
    • The first image found in a folder

Supported image formats

  • Downloading from the file’s tag - JPG, PNG, BMP
  • Downloading from a folder with a file - JPG, PNG, BMP, GIF, TIFF

See also:
  • Quick Tag Editor
  • The window "file information"
  • The function of album covers search in the Internet


Crossfade effect
Crossfade effect – whether ending track will be mixed with the next.

Turn this option on, adjust crossfade effect time you can in program options - Settings \ Playing

See also:
  • Playback settings
  • Pause between tracks


Minimize application behavior
Application minimizing variants
    When you click “minimize” with left-mouse button, or on the application button on the taskbar, program minimizes to system tray [by default] – in this case AIMP’s icon and mini-player (Tray-Control) appears near system clock.

    To minimize program to Windows taskbar, you can click “minimize button” when holding Alt key.

    Tip 1. You can change such behavior in program options – Settings \ Player \ Controls.

Control application from tray
    see Settings \ System \ Tray

    When holding mouse cursor over application icon popup window with track information appears. Whether this window will be shown, “show file info on mouse hover” option is responsible. You can although adjust delay before popup window appearing.

    You can change actions, performed on click, double click with left mouse button, and middle click, by choosing one of this actions for each event:

    • Disabled
    • Show / Hide main window
    • Bring main window to front
    • Show File info
    • AIMP volume controling
    • Start / Pause
    • Add and play files

    "Hide Tray-Control" option is responsible for showing "Tray-Control" when program is minimized to system tray.

    Always show tray icon – whether AIMP icon will always be shown, or only when application is minimized to system tray.

    You can choose one of listed icons to be shown in system tray. When "Show status of player in tray icon" option is checked current player state will be shown on tray icon: stopped, paused, playing.

See also:
  • Tray control


Pause between tracks
This option forcibly adds pause to the end of current track – the next file will be played with some delay.

Turn this option on, or adjust duration you can in program options – Settings \ Playing

See also:
  • Playing settings
  • Crossfade effect


Playing Settings

Sound output device

    Here you can select and adjust settings of Sound Output Device, that is registered in system.
    [After changing current device you have to press "Apply" button]

    16/32-bit sound processing.32-bit sound processing provides high-quality result.
    If the file has 8/16-bit data, then while decoding they will be converted to 32-bit with floating point.
    [Not all sound cards support 32-bit processing]

    Software Mixing - hardware resources of Sound Device won’t be used.
    [Check this if you hear sound distortion when 32-bit sound processing is enabled]

    Buffer Size - the size of buffer (in seconds) that shows how much memory will be allocated for audio-stream cashing while it plays.

Global volume controlling

    Player controls global volume or just the volume of it’s own audio-streams.
    Tip 1: There will be no instant scrollbar’s updating in opened Windows Volume Control tool
    Tip 2: This option is disabled in Windows Vista or higher

Logarithmic volume slider

    defines the behavior of volume slider while adjusting it’s position. (whether logarithmic or linear function). Convenient for those who prefer maximum accuracy in low-amplitude area.

Sound Effects

    Add pause between tracks - custom pause for jumping between previous/next track.
    Cross fade effect - mixing track that ends with the next one.

    Use fading effect - sound fades when playback is stopped / paused.


Settings location

Working mode and settings location

    When installing AIMP2 you can choose one of two working modes – multiuser and single user.

  • Multiuser
    If several users work on one computer, everybody in his own account, it is recommended to use multiuser mode, for every user be able to have his own program settings, own playlist, audio library, plugins – independently from other user’s settings.

    • Settings location:
    • Windows XP: \Documents And Settings\<User Name>\Application Data\AIMP\*.*
    • Windows Vista and higher: \Users\<User Name>\AppData\Roaming\AIMP\*.*

  • Single user mode
    In this case program settings are same for all users in system.

    • Settings location: %AIMP%\Data\Profile\*.*


Templates
Templates
    In the program settings - Settings \ Templates - you can define your own templates:
    • Running line format
    • Playlist strings formats
    • Templates of lines for tracklist
    • String format to copy to clipboard
Playlist sorting templates
    Sometimes, you may need to sort the playlist in specific manner, in such cases, usually, standard sort templates are not enough – sorting by one of the templates you defined can be helpful.

    View a list of custom templates, as well as edit it, you can in Settings \ Templates \ Sort by template


Compontents
Compontents
  • Audio Library
    • DataBase Services
    • Find displaced files
  • Quick Tag Editor (QTE)
    • Autofiling tags from file names
    • Cover Art Downloader
  • Advanced search
  • DSP-Manager
  • Equalizer
  • Online radio browser
  • Plugins Manager
  • Quick File Information
  • Queue Manager
  • Simple Scheduler
  • TrayControl


Audio Library
Audio Library
  • Main Window
  • Data Base services
  • Find displaced files


Audio Library
Audio Library
    It is a music organizer that allows you to easily sort your music, set rates for listened songs, to keep the statistics of playback.

    Supported formats: MP3, WMA, OGG, APE, FLAC, AAC, MPC

1. Adding files to the library

    Opens a folder selection dialog box, to add the folders, mark them.

    Option "C subfolders" is responsible for whether files will be added from all subfolders, or only marked folders.

2. Library management

  • Services
  • Show displaced files
  • Settings
    • Enable auto-rating system for files - This option enables / disables registration of number of tracks’ listening.
    • Automatically add files to audio library - all listened tracks will be automatically added into the audio library.
    • Add files to library only from non-removable media - songs, listened from USB-Flash drives, CD-ROMs and other removable media, won’t be added to library.
    • Mark file as listened after playing (in %) - after playing number of percents of track, this song will be marked as listened - the number of playbacks will increase by 1.
  • Drop statistics - reset statistics for all files – marks, number of playbacks, the date of the last and the first playback.
  • Clear the library - deletes all files from the database.
    Warning! Statistics in this case would also be lost.

3. Files selecting according to one of the following parameters:

  • "Show all files stored in the library"
  • "Recently added files" - show files added for last 24 hours / week / 2 weeks / 3 weeks / month.
  • "Show never played files"
  • "Show best files" - shows files with the mark of greater or equal to 3.
    [User puts marks to the files]
  • "Show often played files" - show 10 / 20 / 50 / 100 / 500 of often played files.
    [Rating system should by on]

4. Playback control panel in player

5. Choosing the list of files display style

    Table / Cards

6. Index, grouping options

    Index helps you quickly find the album or artist - depending on the selected grouping option. Below the index there is buttons to choose one or another group:
    • Grouping by albums
    • Grouping by artist
    • Grouping by year
    • Grouping by genre
    • Without grouping

    Note: The index is available only in grouping by artist / albums.

7. List of files that satisfy current filter

8. Extended information about selected file

    On the right of the panel you can see the cover of the album, which is caught from a folder with a file or from the file’s tag.

    Next to the cover, you can see information about the image: the original resolution, the size of the file and its name.
    [if the cover is loaded not from a tag]

    You can save the cover on the hard drive, to do this: right click and select "save" in opened the context menu.

    Note. Clicking the left button on the "Album", "Artist", "Genre", "Year" will activate the grouping on the appropriate field.

See also:
  • Album covers
  • Library Services
  • Manage displaced files
  • Quick Tag Editor


Audio library managing
Audio library managing
  • Remove bad files from the library - clears library for non-existent files – that have been moved or deleted.
  • Delete files added from remote devices - will delete the files from the database, which were added from the flash drives, CD-ROMs, etc.
  • Rescan tags for all files from library - updates database information about all files, ever added to audio library.
  • Search of new files - scans the folders, included to database in order to find new files.
  • Compress the database - reduces the size of the database file.


Find displaced files
Find displaced files
    This function shows the list of files, which database links are incorrect. It happens when the file was deleted or moved to another folder, or just renamed.

    You can use autosearch function, which according to filenames will try to find files, which links are incorrect.

    Often, when files are renamed and moved, autosearch can’t help – se here’s two ways:
    1.Delete incorrect files from library and add them again – in that case all statistics will be lost for those files.
    [To delete files select them and press button “delete from library”]

    2. Set filenames manually – double click by selected item
    [To apply new paths mark files and press “apply to selected”]
    [Such way statistics will be saved]


Quick Tag Editor (QTE)
Quick Tag Editor
  • Quick Tag Editor
  • Autofiling tags from file names
  • Cover Art Downloader


Autofiling file tags

AutoTag function is used to automatically fill in the fields of tag of edited file from the file name / path to the file. To call this function, press appropriate button in quick tag editor.

In the format of the template you can use the following macros:
  • %artist%, %album%, %genre%, %title%, %year%, %track% - define values of appropriate tag fields.
  • %fake% - can be used to pass text blocks of different lengths [see example below]
Using full path to file as data source
    By default, AutoTag function uses filename without extension and path as a data source. To use the full path to the file as a data source you must specify "\" character in the template.
    In both cases, the file extension is not considered..
Using %fake% macros
    As it was mentioned above, %fake% is used to pass text blocks of various length. For example, suppose that we have two files with the path:

    • C:\Music\Artist1\Folder(1)\01. Title1.mp3
    • C:\Music\Artist2\Folder(2)\11. Title2.mp3

    In order not to construct individual template for each of them, use the %fake% macro. As a result format string would look like this:
    "C:\Music\%artist%\%fake%\%track%. %title%"
Note:
    If you use identical macro’s in format string, the macro will contain the latest assigned value.


Cover Art Downloader
This module is made for album covers download from popular Internet resources in automatic mode.

You can open Cover Art Downloader window from the context menu of song’s cover in Quick Tag Editor (QTE).

Album covers search
    As a default search criteria the tags “Album” and “Artist” are used.

    Number of matches that will be displayed in the table is set by the relevant regulator at the bottom of the window.

    Found cover can be saved as a file or written to the tag of editing song.
Attention!
    To use this module, the active Internet connection required.

See also:

  • Quick Tag Editor (QTE)


Quick Tag Editor (QTE)
Suitable and functional tool for editing tags with full support of the Unicode, as well as for viewing information about track and managing album/composition covers (adding, saving, deleting). Simultaneous work with several files in consequent mode is supported. To do this you have to select necessary files in playlist before calling the tag editor In this case switching between files is realized via buttons near the name of the current file or by pressing keys PgUp / PgDown.

Address toolbar
    1. Name of current file.
    2. Copies information about current file to clipboard
    3. Copies the file itself directly to clipboard
    4. Opens Windows Explorer and highlights current file
    5. Autofilling tags from files name / path.
    [ LKM – use a template, PKM – select a template ]
    6. Navigation between files (if the editor was launched with several files selected)
    7. The window is splitted to several tabs, and you can switch between them using mouse or by pressing Ctrl+Tab combination

Basic Tab
    here you can see the whole information about composition, whether it is defined in tags.
    [the title, singer, album, genre, year, format, duration, quality, size on hard drive]

    8. In lower right corner of the window there is cover of the album or composition, if it is defined in corresponding to tag or can be found in the same folder as track.
    [the following formats are supported: *.bmp, *.tiff, *.png, *.jpg]

    In cover’s menu, which you can cal by pressing right mouse button, it is possible to add, save or delete it. Notice, that it is possible to save or delete the cover only if it is defined in tag of composition, but not if it is in the same folder, separate file.

    9. If "Audio library" plugin is connected, it is possible to see the statistics of composition - how many times it has been played, when it was last, the time when it was added to the library, as well as rating, that you can change by clicking on appropriate star with left mouse button

Lyrics Tab
    here it is possible to view or add the text, which will be recorded to appropriate tag of composition.
Additional Tabs
    will differ depending on format of the composition since they point to the tag’s type, fields of which it is possible to edit. For example, for MP3 format we will see the ID3v1 and ID3v2 tabs.

    By going to the tab you can change or delete the tagг. To remove tag set the flag "delete tag" and press "Save" button
    To save the results of editing you have to press "Save" button, otherwise tags won’t be saved!

    When working with several files in consequent mode automatic jump to next editing file occurs when pressing button "Save".

See also:

  • Autofilling tags from files name / path
  • Search cover art in path algorithm
  • Cover Art Downloader


Advanced Search

Advanced search allows you to search files for specific parameter on several playlist.
The result is displayed as a table where you can see the name of the file, playlist, where it is, and it’s number in the queue.
By calling the context menu with RMB, you can:

  • Play
  • Add a file to the queue
  • Show the current (selected) file in the playlist
  • Copy the file to another playlist
  • Move the file under current

1. Name of song found in the format: % artist% -% title%

2. Name of the playlist, where the track was found

3. The number in the queue for this song (if the file is in queue)

4. Search parameter

5. Here you can select the fields for searching
[in the headlines, in the name of artist, the title of the album, by genre, in the path of the file]

6. Playlist for the search. You can select "(All)" to search in all opened playlists

7. The number of found files that satisfy the search criteria

8. "Start search" button

9. "Automatic search" - if this option is activated, the search will be carried out immediately after the letter typing


DSP-Manager

DSP-manager allows controlling almost every available sound effects in AIMP.
Manager can be loaded from settings or equalizer window.

Stereo effects
  • Stereo Enhancer - enhances stereo effect
  • Balance - regulates channels balance
  • Channel reverse - swaps left and right channels
Playback speed
  • Rate - regulates total playback speed (only for local files)
  • Tempo - regulates playback tempo (only for local files)
  • Pitch - regulates playback tone (only for local files)
Other filters
  • Auto normalize sound volume - normalizes sound volume in realtime – during file playback. Near this option you can find current normalization coefficient.
  • Replay Gain - Normalizes sound volume according to replay gain information, if tags have it.
  • Voice remove filter - realtime decreases voice component of composition.
Winamp DSP Plug-Ins
    Here you can control Winamp DSP plugins, installed to AIMP through plugins manager.
    To call settings window of currently active plugin press “Settings” button.
    To turn DSP-plugins off choose “disabled” in drop-down list.
Warning!
    Reset bars to their default values you can by clicking right mouse button over them or pressing “Default” button..

See also:

  • Connect Winamp DSP-Plugins
  • Crossfading effect
  • Pause between tracks


Equalizer
The equalizer is designed for fine-tuning amplitude-frequency parameters (frequency response) of musical composition. Equalizer panel can be called by pressing the button in the main window of the player. This module also allows you to apply different sound effects - Speed, Tempo, Pitch, Flanger, Echo, Reverb. In addition, the equalizer is the interface to load the DSP-plugins.

1. Graphical representation of frequency response.

    The form of the curve can be changed as you wish, by holding the left mouse button and "drawing" in the allocated area, the relevant regulators change their position according to the form of a curve
2. 18 frequency regulators
    Range from 31 Hz to 16 kHz
3. Regulators effects
    [!] To reset these controls to the default values, you can right-click on them

4. Button to call load / save equalizer presets.
    From this menu, you can also reset all frequency controls to the default values (as equalizer is turned off), as well as to switch the mode of equalizer panel displaying on the left of the window
5. Equalizer on / off button
    The button displays the current state of equalizer
6. Equalizer closing button
    Current configuration is saved
7. Common frequency adjusting control
    РIt works only when the equalizer
    [We recommend that you keep it in average position]
8. DSP-Manager button
    Displays currently active DSP-plugin. For quick configuration of the plugin, use the "config" button.

See also:
  • DSP-Manager


Online Radio Browser

This component provides a graphic interface to view a list of internet radio stations using the network access to ShoutCast and IceCast services.

To get a list of available radio stations, be sure to click "Refresh". You can filter the list by genre, also the search by "Name" and "Listeners" is organized. .

With the help of appropriate buttons you can add radiostation to the current playlist, or just start playing it.

Warning! For correct work of this component, the active Internet connection is required.


Plugins Manager
Plugins installation By default, player connects all the plugins that are in the working folder "AIMP2\Plugins". Therefore, in order to install the plugin you need to copy it to folder "AIMP2\Plugins", and restart the player.

If the option "Load all plugins" is disabled, then plugins have to be connected manually:
  • Copy the plug-in "AIMP2\Plugins" folder
  • Open the player’s main menu, the "plugins" submenu
  • In the window that appears, in the "unloaded plugins" select the desired plugin
  • Mark the checkbox left to its name
  • In case of successful load, the plugin will appear in the list of “loaded plugins" and will be available for future use
Unload plugins
  • Open the player’s main menu, the "plugins" submenu
  • In the window that appears, in the "loaded plugins" select the desired plugin
  • Unmark the checkbox left to its name
  • In case of successful unload, the plugin will appear in the list of “unloaded plugins" and will be available for future use (plugin is not deleted physically)
Warning!
    The plugin will be unloaded from memory after you restart the program.


Queue manger
Queue manger
    Queue manager allows you to manage the queue, made of one or more playlists.

    List of songs added to the queue is presented in tabular form:
    • File Name - the song title, which is added to the queue
    • Playlist - the name of the playlist, from which the composition is added
    • # - file number in the queue

Available operations
  • Remove selected / all files from the queue
  • Save queue as playlist to selected place
  • Suspend queue - the files remain in the queue, but the order of playback will not be affected.


Quick file information (QFI)
Quick file information (QFI) - is a small information window, where shortly displayed main information of current track, in case it is defined in tags – track title, album, artist, genre, year, length, quality, filesize.

Quick file information (QFI)
    1. If “Audio library” plugin is installed, track rating will be shown here, that you can change by clicking left mouse button on appropriate star.

    2. 1.Album or track cover will be shown, if it is defined in appropriate tag or is located in track’s folder.
    [*.bmp, *.tiff, *.png, *.jpg files are supported]

    3. Opens "Quick tag editor" to edit tags of the file shown

    4. Copies current track information to clipboard according to template

    5. Copies the file to clipboard (the same way as Windows Explorer does)

    6. Close information window

    7. Opens Windows Explorer window with current file selected

See also:
  • Quick tag editor
  • Search cover art in path algorithm
  • Template setup for copying information about file to clipboard


Simple Scheduler
Simple Scheduler
    Simple Scheduler gives you the following possibilities:
    • Turn off the computer at specified action
    • Start playing the file and / or playlist at specified time
Auto shutdown
    Next actions are available:
    • Turn off your computer
    • Turn the computer to the sleep mode
    • Exit program
    • Pause playback
    Actions are implemented as a result of one of the events:
    • On-time
    • At the end of the current playlist
    • At the end of the queue
      [If at the time of the appointment of this event, the queue is already empty - the action will not be executed]
    • Upon the end of playing N-th file
      [Number of files to play before the action is executed, is set manually]
      [Current file is also included in this number]
Alarm clock
    This function includes playing selected audio file or playlist at user specified time.

    You can set the volume of track playback.
    You are able to play chosen file or a file from one of the opened playlists.

    Tip 1. If the file is deleted / moved, the alarm will not work..


TrayControl
TrayControl -TrayControl - a small panel with the main control elements and the minimum necessary information, it appears automatically when minimizing the program to tray. This is a kind of alternative to the main player window, to the maximum save of your workspace. .

If you want to minimize the main window without displaying TrayControl, either check the "Hide TrayControl" in the context menu, system tray icon, or use other window minimizing alternatives.

1. Playback control buttons
    Available commands: "Play”,” Pause”, “Stop”, “Previous”, “Next”
    [!] "Stop" button popup menu contains the stop playing after the current file function
2. Indicator of signal level
    Indicator of signal level (left / right channels)
3. Track time
    Click on the indicator set a reverse / direct countdown
4. The volume level control
    There are two types - linear and logarithmic. See settings
5.The "Open File" button
    [!] Right mouse click on the button causes the extended menu to open the files / playlists / folders / URL
6. "Show main window" button
    "Show main window" button restores the main player window, removing TrayControl from the screen.

When the mouse hovers TrayControl window a panel with additional information and control buttons appears. It displays a running line, the status of playback playing, paused, stopped, the bitrate and sample rate of currently playing track.

7. "Shuffle" and "Repeat track"

    Switching on / off "Shuffle" and "Repeat track" modes
8. Settings window player opening

9. Copy the file to the clipboard
    Copy playing file to the clipboard
    [the same as CTRL+C in Windows Explorer]
10. Enabling / disabling "Topmost" mode
    only for the TrayControl panel
11. Fix additional TrayControl panel.
    In this case, an additional panel will not hide when the mouse pointer is outside TrayControl window

See also:
  • Alternative options for main window minimizing
  • Adjusting settings for minimizing program to tray


Frequently Asked Questions
Common Questions
    Q: What is MD5 and what is it for?
    A: This is a checksum file, it is necessary to verify the correctness of the file.
    It may not be identical only if the file was downloaded with errors, or has been modified by man or a virus.
    So comparing checksum of the file you downloaded with that is written on the site, gives you 100% files match.
    [Simple MD5 calculator can be found here]

    Q: What kind of player is AIMP MMC Pro?
    A: AIMP MMC Pro - this is Artem Izmailov first project - audio / video player, but the it was closed, due to its own reasons.
    [Released versions AIMP MMC Pro v4.0-v5.27]

    Q: What kind of player is AIMP Classic?
    A: This is a new, growing project of Artem Izmailov audio player.
    [Released versions AIMP Classic 1.5x-1.7x]

    Q: What kind of player is AIMP2?
    A: This is a continue of the AIMP Classic project.
    8 August 2007 is the birthday of the project - AIMP v2.0 beta 1 c updated interface, rewritten engine released.

    Q: Will the player be open source?
    A: No.

    Q: Will the player ported to other systems (Unix-like, Linux, Mac OS)?
    A: AIMP porting to other systems is not planned.
    Under Linux and some other Unix-like OS AIMP can be run via Wine.

    Q: Can I run multiple copies of the player?
    A: Just start AIMP with the key /DEBUG. Two copies will not work fully, for example, in the case of integration.

    Q: Is there any AIMP versions archive?
    A: Archive of releases and the latest version is always on our site.

    Q: As far as I understand, BASS is a free library?
    A: Depends on how to use it.
    The BASS library is free for non-commercial use. If you are a non-commercial entity and are not charging for your software, and the software has no other commercial purpose (eg. advertising/promotion), then you can use BASS in it for free. Otherwise, you will need one of the following licenses...
AIMP and Winamp
    Q: What kind of Winamp plugins fit player and how to install them?
    A: Some types of Winamp plugins - General, Input, DSP.
    Read here about plug-ins installation.

    Q: Is there any support of Winamp skins?
    A: No, because the programs have totally different structure. But you can create your own skins with the Skin Editor.
    [All that relates to covers for the player can be found on the website section "skins" or on the forum.]
Player functionality
    В: How to disable notification about new versions?
    О: Unload "AIMP Update Checker" plugin from Plugin Manager.

    Q: Why AIMP doesn’t support video and will it in the future?
    A: AIMP is developed and designed as audio player, and video support is not planned.

    Q: It is possible to set graphics resolution of visualization higher than the standard 640x480?
    A: Most of the visualization plugins do not support higher resolution.

    Q: Are there any plans to create 64-bit versions of the program?
    A: Yes, as soon as 64-bit Delphi compiler releases.

    Q: I would like to be able to set the range of the random variable pause – it is useful to avoid the "habit" to a permanent pause.
    A: Not sure in its necessity.

    Q: Can I somehow limit the track repeat number?
    A: Try using queue (Q button by default).

    Q: When a playlist is in toolbar mode (hidden outside edge of the screen), when youmove the mouse to the edge, small arrow appears, playlist is shown when you click it. So, the pointer appears slightly below the cursor, and to click it, it is necessary to move the mouse down. It would be easier if the arrow appear directly under the cursor.
    A: It was made to prevent accidental clicks.

    Q: Can you make the height of the playlist to be changed automatically depending on the number of tracks, limiting the height of the screen size?
    A: It will not be.

    Q: Can I do something to put the track rank from the library to a music file itself?
    A: Such actions change the file, that is not very good for the people who distribute music through torrent tracker.

    Q: I would like to be able to see on the album cover on PDA, so when you synchronize with USB flash not only the tracks are copied, but the structure of folders and file covers.
    A: lternatively, you can “insert” the cover inside songs, the problems with their display would not be.
Internet Radio
    Q: How do I record Internet radio?
    A: See article

    Q: Is it possible to record the audio stream "as is"?
    A: Recording audio stream “as is” is possible only in WAV. Some decoders hasn't ability to get raw data (WMA, for example)

    Q: Can you make an option "to save the previous [N] msec"? I.e. if N> 0, then store in the buffer permanently N msec and when recording immediately add previous N msec. I think this desire is understandable, now they don’t say "And now you hear ..." on the radio"
    A: It will not be.
Application Windows
    Q: Small player panel falls under other windows, when the main window is minimized. What should I do?
    A: This small panel has it’s name - TrayControl or TC. To prevent it’s falling under other windows make it topmost (the second button from the right buttons in TC dropdown panel)

    Q: When opening pls (playlist) can you make showing and hiding smoothly, and the same to the other options and windows.
    A: No, this is impossible.

    Q: Where is the main player window disappeared (or a playlist TC)?
    A: Locate the file aimp2.ini in the profile folder and check the coordinates of the window:
    • For the main window: Main = 481,95,830,646
    • For Playlist window: Playlist = 0,170,349,551
    • To Tray Control: Tray_X = 604, Tray_Y = 0
    So set them according the resolution of your screen.

    Q: How do I turn off the mini-player (TreyControl)?
    A: Right-click the icon in the system tray and select "Hide TrayControl", or Settings - System - Tray - Hide TrayControl.
Application settings
    Q: When you first start, single multiplayer modes are swapped!
    A: No, the names are correct - when the computer has a lot of users - the settings should be stored in an individual folder, otherwise all of them will be the same.

    Q: How to make settings changing available to users with limited rights?
    A: You may install the player in My Documents folder.

    Q: Add the possibility to backup library, saving and transferring library between different versions of program.
    A: Just copy your profile folder.

    Q: Can I transfer Audiolibrary data (files ratings, marks) with v2.11 to v2.51 (and higher)?
    A: The old base and configuration files (AIMP2_ML.DAT and AIMP_ML.INI) should be put into an empty ML folder, that is in your profile folder
    [player that should be turned off]

    Q: And I wanted to save the settings when updating player. After installing the latest build was unpleasantly disappointed that all settings lost - though it’s not fatally...
    A: Just have to maintain what was before and what was after - single or multiplayer modes.
Playback
    Q: Is it possible to play protected files?
    A: No, there is no such possibility.

    Q: Is it any possible to play cue from iso.wv?
    A: In version 2.60 there is an opportunity to play iso.wv, but only if wv is in the beginning of the image, otherwise it will not work.

    Q: I cannot play WMA files...
    A: Install Windows Media Format Runtime 9
    [to play this format AIMP uses system codecs from Microsoft]

    Q: Is it possible to listen to MIDI?
    A: For AIMP versions 2.5 and higher you have to:
    • When you first install the player [on the stage " installed components"] select "MIDI Player" from a list of plugins.
    • Put the bank of instruments (the file with the extension *. sf2) in the Plugins folder in AIMP2 directory or C:\Windows\system32\
    Popular compact bank of instruments from Creative can be downloaded here, in the archive there is also a license agreement from Creative
    Only for non-commercial usage!


Catching-up CUE Sheets

When adding file and/or folder to playlist files can be splitted to several playlist entries for easy navigation through the parts of one and/or several files

So, for the file to be splitted, you must have CUE Sheet.

In what cases playlist automatically catches-up CUE Sheet?

  • The CUE Sheet is in one of tag fields of source audio file
  • The CUE Sheet has the same name as the source audio file [without regard to extensions], and the CUE Sheet should describe only this file

Otherwise, you have to add to playlist the CUE Sheet file itself.


Sound Effects
Sound Effects
  • Equalizer Window
  • Effects Manager
  • Crossfading between tracks
  • Pause between tracks


© AIMP DevTeam, 2006-2010
Free Audio Player
www.aimp.ru